# List reports

Returns an array of reports generated by Caspian available for download. Each array element represents an available report, and contains the `reportId`, `reportType`, and `reportFormat` fields associated with that report.
To get the download link for a specific report, store the `reportId` for the report you want, and use it with the *Get a report* operation.

Endpoint: GET /v2/reports
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http bearer JWT

## Query parameters:

  - `created-by` (string)

## Response 200:

  - `200` (unknown)
    Returns an array of report metadata for the calling tenant

## Response 200 fields (application/json):

  - `reports` (array, required)

  - `reports.reportId` (string, required)
    Unique identifier for a report.
    Example: 497f6eca-6276-4993-bfeb-53cbbbba6f08

  - `reports.reportName` (string)
    User defined name of the report.
    Example: My custom report

  - `reports.reportType` (string, required)
    The report type of the downloadable report.
    Enum: "PAYMENT_OPS", "RECON", "FAILURE_CONVERSION_SSA"

  - `reports.reportFormat` (string, required)
    The report format of the downloadable report.
    Enum: "CSV", "JSON"

  - `reports.reportStatus` (string, required)
    The status of the report.
    Enum: "PENDING", "READY", "FAILED", "EMPTY"

  - `reports.startDate` (string, required)
    The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) start date (inclusive) of the report.
    Example: 2018-04-06T20:33:35Z

  - `reports.endDate` (string, required)
    The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) end date (inclusive) of the report.
**Note**: Must be after `startDate`, but no more than 90 days after.
    Example: 2018-04-06T20:33:35Z

  - `reports.createdOn` (string)
    Report creation time
    Example: 2018-04-06T20:33:35Z

  - `reports.reportCreatedBy` (string)
    Identifies the entity that initiated the report creation.
| Value | Description |
|  --- | --- |
| SCHEDULER | Automated system-generated report initiated by the scheduler. |
| API | User-generated report initiated through the API. |
| [full name] | Full name of the user who initiated the creation of the report through the UI. |
| null | Legacy support for older reports. |
    Example: Norma Jean

## Response 400:

  - `400` (unknown)
    Bad Report Request

## Response 400 fields (application/json):

  - `type` (string, required)
    Example: https://docs.ripple.com/payments-odl/api-docs/report_service/reference/#error/RPT_1

  - `errorCode` (string, required)
    Example: RPT_1

  - `title` (string, required)
    Example: BAD_REQUEST

  - `detail` (string)
    Example: Required field missing

  - `time` (string, required)
    The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) error timestamp.
    Example: 2018-04-06T20:33:35Z

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `type` (string, required)
    Example: https://docs.ripple.com/payments-odl/api-docs/report_service/reference/#error/RPT_1

  - `errorCode` (string, required)
    Example: RPT_1

  - `title` (string, required)
    Example: BAD_REQUEST

  - `detail` (string)
    Example: Required field missing

  - `time` (string, required)
    The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) error timestamp.
    Example: 2018-04-06T20:33:35Z

## Response 404:

  - `404` (unknown)
    Not found

## Response 404 fields (application/json):

  - `type` (string, required)
    Example: https://docs.ripple.com/payments-odl/api-docs/report_service/reference/#error/RPT_1

  - `errorCode` (string, required)
    Example: RPT_1

  - `title` (string, required)
    Example: BAD_REQUEST

  - `detail` (string)
    Example: Required field missing

  - `time` (string, required)
    The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) error timestamp.
    Example: 2018-04-06T20:33:35Z

